Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoRangeIntensityMsg Class Reference
Data Channel

## Description

Represents a data message containing a set of range intensity data.

Inheritance diagram for GoRangeIntensityMsg:

## Public Member Functions
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k8u * | GoRangeIntensityMsg_At (GoRangeIntensityMsg msg, kSize index)
| Gets a pointer to range intensity data. More...
kSize | GoRangeIntensityMsg_Count (GoRangeIntensityMsg msg)
| Gets the count of range intensity data in this message. More...
k32u | GoRangeIntensityMsg_Exposure (GoRangeIntensityMsg msg)
| Gets the exposure. More...
GoDataSource | GoRangeIntensityMsg_Source (GoRangeIntensityMsg msg)
| Gets the range intensity source. More...

## Member Function Documentation

GoDataMessageType GoDataMsg_Type | ( | GoDataMsg | message | ) |
| inherited

Returns the message type for a data channel message given in a GoDataSet.

Parameters

  message | A data channel message.

Returns
  A GoDataMessageType value.

k8u * GoRangeIntensityMsg_At | ( | GoRangeIntensityMsg | msg,
|  | kSize | index
| ) |  |

Gets a pointer to range intensity data.

Parameters

  msg | Message object.
  index | Range intensity array index.

Returns
  Range intensity data pointer.

kSize GoRangeIntensityMsg_Count | ( | GoRangeIntensityMsg | msg | ) |

Gets the count of range intensity data in this message.

Parameters

  msg | Message object.

Returns
  Count of range intensity data.

k32u GoRangeIntensityMsg_Exposure | ( | GoRangeIntensityMsg | msg | ) |

Gets the exposure.

Parameters

  msg | Message object.

Returns
  Exposure in uS.

GoDataSource GoRangeIntensityMsg_Source | ( | GoRangeIntensityMsg | msg | ) |

Gets the range intensity source.

Parameters

  msg | Message object.

Returns
  Range intensity source.

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h